<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    date_default_timezone_set("UTC");
    

    if(isset($_POST['get_booking'])){
        $frm_data = filteration($_POST);
        $query = "SELECT bo.*, bd.* FROM `booking_order` bo INNER JOIN `booking_detail` bd ON bo.booking_id = bd.booking_id WHERE (bo.order_id LIKE ? OR bd.phone LIKE ? OR bd.user_name LIKE ? OR bd.user_lastname LIKE ?) AND ((bo.booking_status ='pending' AND bo.arrival = 1) OR bo.booking_status ='cancel') ORDER BY bo.booking_id ASC";
        $res = select($query, ["%$frm_data[search]%", "%$frm_data[search]%", "%$frm_data[search]%", "%$frm_data[search]%"], 'ssss');
        $i = 1;
        $table_data = "";

        if(mysqli_num_rows($res)==0){
            echo "No data available";
            exit;
        }

        while($data = mysqli_fetch_assoc($res)){
            $date = date("M-d-Y", strtotime($data['datentime']));
            $checkin = date("M-d-Y", strtotime($data['check_in']));
            $checkout = date("M-d-Y", strtotime($data['check_out']));

            if($data['booking_status'] == 'pending'){
                $status_bg = 'bg-success';
                $status = 'Booked';
                $invoice = "<button type='button' onclick='download_invoice($data[booking_id])' class='btn-second' style='font-size: 14px; padding: 5px; font-weight: 600;'> Invoice</button>";
            } else{
                $status_bg = 'bg-danger';
                $status = 'Cancelled';
                $invoice = '';
            }

            $table_data .= "
                <tr>
                    <td>$i</td>
                    <td> $data[user_name] $data[user_lastname]<br></td>
                    <td style='font-size: 14px;'>$data[order_id]</td>
                    <td style='font-size: 14px;'>
                        <b>Room:</b> $data[room_name]<br>
                        <b>Price:</b> $$data[price]/night<br>
                        <b>Total:</b> $$data[total_pay]
                    </td>
                    <td style='font-size: 14px;'>
                        <b>Book date:</b> $date<br>
                    </td>
                    <td>
                        <span class='$status_bg text-white' style='padding: 5px; border-radius: 5px; font-size: 14px; font-weight: 600;'>$status</span>
                    </td>
                    <td>
                        $invoice
                    </td>
                </tr>
            ";
            $i++;
        }
        echo $table_data;

    }

?>