<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();

    if(isset($_POST['dashboard_booking'])){
        $frm_data = filteration($_POST);
        $timeline = "";
        if($frm_data['period'] == 1){
            $timeline = "WHERE datentime BETWEEN NOW() - INTERVAL 7 DAY AND NOW()";
        } else if($frm_data['period'] == 2){
            $timeline = "WHERE datentime BETWEEN NOW() - INTERVAL 30 DAY AND NOW()";
        } else if($frm_data['period'] == 3){
            $timeline = "WHERE datentime BETWEEN NOW() - INTERVAL 1 YEAR AND NOW()";
        } 

        $result = mysqli_fetch_assoc(mysqli_query($con, "SELECT
            COUNT(booking_id) AS `total_bookings`,
            SUM(payment) AS `total_payment`,


            COUNT(CASE WHEN booking_status = 'pending' AND arrival = 0 THEN 1 END) AS `pending_bookings`, 
            SUM(CASE WHEN booking_status = 'pending' AND arrival = 0 THEN `payment` END) AS `pending_payment`, 

            COUNT(CASE WHEN booking_status = 'pending' AND arrival = 1 THEN 1 END) AS `active_bookings`, 
            SUM(CASE WHEN booking_status = 'pending' AND arrival = 1 THEN `payment` END) AS `active_payment`, 

            COUNT(CASE WHEN booking_status = 'cancel' AND arrival = 0 THEN 0 END) AS `cancel_bookings`,
            IFNULL(SUM(CASE WHEN booking_status = 'cancel' AND arrival = 0 THEN `payment` END), 0) AS `cancel_payment`
            FROM `booking_order` $timeline"));

        $output_booking = json_encode($result);

        echo $output_booking;
    }
?>