<?php

    require('../admin/components/db_config.php');
    require('../admin/components/utils.php');

    date_default_timezone_set("America/Chicago");

    if(isset($_POST['info_form'])){
        $frm_data = filteration($_POST);
        session_start();

        $user_exist = select("SELECT * FROM `user_creds` WHERE `phone`=? AND `id` !=? LIMIT 1", [$data['email'], $_SESSION['uerID']], "ss");

        if(mysqli_num_rows($user_exist) != 0){
            echo  'phone_already';
            exit;
        }

        $query = "UPDATE `user_creds` SET `firstname`=?, `lastname`=?, `phone`=?, `birth`=?, `address`=?   WHERE `id`=?";
        $values = [$frm_data['firstname'], $frm_data['lastname'], $frm_data['phone'], $frm_data['birth'], $frm_data['address'], $_SESSION['uerID']];

        if(update($query, $values, 'ssssss')){
            $_SESSION['userName'] = $frm_data['firstname'];
            echo 1;
        } else{
            echo 0;
        }
    }

    if(isset($_POST['password_form'])){
        $frm_data = filteration($_POST);
        session_start();

        if($frm_data['new_password'] != $frm_data['confirm_password']){
            echo 'mismatch';
            exit;
        }

        $enc_password = password_hash($frm_data['new_password'], PASSWORD_BCRYPT);

        $query = "UPDATE `user_creds` SET `password` =? WHERE `id`=? LIMIT 1";
        $values = [$enc_password, $_SESSION['uerID']];

        if(update($query, $values, 'ss')){
            echo 1;
        } else{
            echo 0;
        }
    }

?>